> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/configeipprobe.md).

# ConfigEipProbe

## 1. 接口描述

本接口(ConfigEipProbe)用于弹性公网IP（EIP）探测配置。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型      | 描述                                         |
| ----------- | -- | ------- | ------------------------------------------ |
| eipId       | 是  | String  | 配置公网探测的EIP ID。                             |
| disableIcmp | 是  | Boolean | 是否禁用ICMP。                                  |
| tcpPort     | 否  | Integer | <p>TCP探测端口, \[1-65535]。</p><p>不传表示不开启。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**EIP探测配置**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigEipProbe
<Common Request Params>

Request：
{
    "eipId": "eipId1",
    "disableIcmp": true,
    "tcpPort": 20
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                               | 说明            |
| ------- | ------------------------------------------------- | ------------- |
| 404     | INVALID\_EIP\_NOT\_FOUND                          | EIP不存在。       |
| 400     | OPERATION\_DENIED\_EIP\_PROBE\_TCP\_PORT\_INVALID | EIP探测端口不合法。   |
| 500     | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT      | EIP 状态不支持此操作。 |
